%define name	dyalog-xml
%define version 1.0.3
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog XML module
License:	GPL
Group:		Sciences/Computer science
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#dyalog-xml
BuildRequires:	dyalog
BuildRequires:	libxml2-devel
ExclusiveArch:  %{ix86}

%description
A DyALog module providing predicates over LibXML API. This module, while very
preliminary, may be used to read, process and print XML documents with DyALog.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	libxml2-devel
Requires:	%{name} = %{version}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_libdir}/DyALog/%{name}/%{name}.pc %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-4mdv2010.0
+ Revision: 428534
- use %%configure2_5x
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdv2009.0
+ Revision: 244598
- rebuild
- fix no-buildroot-tag

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 135036
- ExclusiveArch, as DyaLog
- update to new version 1.0.3
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import dyalog-xml


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-3mdv2007.0
- Rebuild

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-2mdk
- split devel package

* Wed Mar 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdk
- new version

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdk
- rebuilt against new dyalog

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.0-1mdk 
- first mdk release
